Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1809062 - python-mutatormath fails to build in Fedora rawhide: Could not find suitable distribution for Requirement.parse('fs<3,>=2.2.0')
Summary: python-mutatormath fails to build in Fedora rawhide: Could not find suitable ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fonttools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-03-02 11:14 UTC by Miro Hrončok
Modified: 2020-04-09 14:43 UTC (History)
8 users (show)

Fixed In Version: fonttools-4.6.0-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-09 14:43:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-03-02 11:14:19 UTC
python-mutatormath fails to build in Fedora rawhide:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.bdbLUu
+ umask 022
+ cd /builddir/build/BUILD
+ cd MutatorMath-2.1.2
+ /usr/bin/python3 setup.py test
running test
WARNING: Testing via this command is deprecated and will be removed in a future version. Users looking for a generic test entry point independent of test runner are encouraged to use tox.
WARNING: The pip package is not available, falling back to EasyInstall for handling setup_requires/test_requires; this is deprecated and will be removed in a future version.
Searching for fs<3,>=2.2.0
Reading https://pypi.org/simple/fs/
Download error on https://pypi.org/simple/fs/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'fs' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.org/simple/
Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or working download links found for fs<3,>=2.2.0
error: Could not find suitable distribution for Requirement.parse('fs<3,>=2.2.0')
error: Bad exit status from /var/tmp/rpm-tmp.bdbLUu (%check)
    Bad exit status from /var/tmp/rpm-tmp.bdbLUu (%check)


According to koschei:

https://koschei.fedoraproject.org/package/python-mutatormath?collection=f33

This is the change that caused this:

https://koschei.fedoraproject.org/build/8040980

I have no idea how any of that related to "fs<3,>=2.2.0" yet.


This blocks the test rebuild with Python 3.9.0a4:

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01278608-python-mutatormath/

For all our attempts to build python-mutatormath with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-mutatormath/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2020-03-02 11:20:15 UTC
/usr/lib/python3.8/site-packages/fonttools-4.4.1-py3.8.egg-info/requires.txt
3:fs<3,>=2.2.0

Comment 2 Miro Hrončok 2020-03-29 14:58:24 UTC
Could you please have look at this missing dependency in fonttools?

Comment 3 Parag Nemade 2020-03-30 03:26:12 UTC
Sorry for being late, will be looking into this today.

Comment 4 Parag Nemade 2020-03-30 07:04:04 UTC
It appears fs python module is not in Fedora. I have reported new package review request for "python-fs".
Can you please help to review this package?
Thanks.

Comment 5 Miro Hrončok 2020-03-30 08:29:07 UTC
Gladly, could you share the link please?

Comment 6 Parag Nemade 2020-03-30 08:43:44 UTC
oops forgot to paste it here. https://bugzilla.redhat.com/show_bug.cgi?id=1818700

Comment 7 Fedora Update System 2020-04-01 02:59:18 UTC
FEDORA-2020-eef8e7dadd has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-eef8e7dadd

Comment 8 Fedora Update System 2020-04-02 02:16:39 UTC
FEDORA-2020-eef8e7dadd has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-eef8e7dadd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eef8e7dadd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-09 14:43:35 UTC
FEDORA-2020-eef8e7dadd has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.